Ambari Managed HDF Upgrade
Also available as:
PDF

Upgrade HDF

Depending on your existing installation you must now upgrade your HDF-only cluster, your HDF 3.0.x or 3.1.0 cluster, or your HDF 3.1.x cluster. Perform one of the following workflows.

Warning
Warning
We strongly discourage downgrading from Kafka 2.1.0 to earlier versions. Though Ambari allows you to downgrade to earlier versions of Kafka after you upgrade to 2.1.0, consider the following before you do so:
  • If you upgrade both the broker and consumer to 2.1.0, a downgrade might cause data loss.
  • If you upgrade the broker to 2.1.0 and the consumer remains at 2.0.0, then you can downgrade the broker to 2.0.0 without any issue.